import { TTokenItem } from '../../types';
import { IAwakenConfig } from '../../types/config';
export declare const AwakenSwapActions: {
    initialized: string;
    destroy: string;
    setSelectTokenModalShow: string;
    setTipsModalShow: string;
    setTipsModalInfo: string;
    setConfirmModalShow: string;
    setSettingModalShow: string;
    setOrderRoutingModalShow: string;
    setSupportTokenList: string;
};
export interface AwakenSwapState {
    isMobile?: boolean;
    isSelectModalShow: boolean;
    isConfirmModalShow: boolean;
    isSettingModalShow: boolean;
    isTipsModalShow: boolean;
    isOrderRoutingModalShow: boolean;
    tipsModalInfo: {
        title: string;
        content: string;
    };
    awaken?: IAwakenConfig;
    supportTokenList: TTokenItem[];
}
export declare const swapActions: {
    initialized: {
        type: string;
        actions: (initialized: AwakenSwapState) => {
            type: string;
            payload: {
                initialized: AwakenSwapState;
            } | undefined;
        };
    };
    destroy: {
        type: string;
        actions: () => {
            type: string;
            payload: any;
        };
    };
    setSelectTokenModalShow: {
        type: string;
        actions: (isSelectModalShow: boolean) => {
            type: string;
            payload: {
                isSelectModalShow: boolean;
            } | undefined;
        };
    };
    setConfirmModalShow: {
        type: string;
        actions: (isConfirmModalShow: boolean) => {
            type: string;
            payload: {
                isConfirmModalShow: boolean;
            } | undefined;
        };
    };
    setSettingModalShow: {
        type: string;
        actions: (isSettingModalShow: boolean) => {
            type: string;
            payload: {
                isSettingModalShow: boolean;
            } | undefined;
        };
    };
    setTipsModalShow: {
        type: string;
        actions: (isTipsModalShow: boolean) => {
            type: string;
            payload: {
                isTipsModalShow: boolean;
            } | undefined;
        };
    };
    setTipsModalInfo: {
        type: string;
        actions: (tipsModalInfo: {
            title: string;
            content: string;
        }) => {
            type: string;
            payload: {
                tipsModalInfo: {
                    title: string;
                    content: string;
                };
            } | undefined;
        };
    };
    setOrderRoutingModalShow: {
        type: string;
        actions: (isOrderRoutingModalShow: boolean) => {
            type: string;
            payload: {
                isOrderRoutingModalShow: boolean;
            } | undefined;
        };
    };
    setSupportTokenList: {
        type: string;
        actions: (list: TTokenItem[]) => {
            type: string;
            payload: {
                list: TTokenItem[];
            } | undefined;
        };
    };
};
