import { TokenInfo } from '@awaken/token-lists';
import { TTokenItem } from '../types';
/**
 * Create a filter function to apply to a token for whether it matches a particular search query
 * @param search the search query to apply to the token
 */
export declare function createTokenFilterFunction<T extends TTokenItem | TokenInfo>(search: string): (tokens: T) => boolean;
export declare function filterTokens<T extends TTokenItem | TokenInfo>(tokens: T[], search: string): T[];
export declare function useSortedTokensByQuery(tokens: TTokenItem[] | undefined, searchQuery: string): TTokenItem[];
